Loading...
Searching...
No Matches
OpenAiChatCompletionDataProvider.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
namespace OpenAiDataProvider {
class OpenAiChatCompletionDataProvider : public OpenAiDataProviderCommon {
public:
const ProviderInfo = ...;
const ProviderSummaryInfo = ...;
const RequestType = OpenAiChatCompletionRequestType;
const ResponseType = OpenAiChatCompletionResponseType;
constructor(*RestClient rest) ;
string getName();
protected:
auto doRequestImpl(auto req, *hash<auto> request_options);
public:
protected:
*DataProvider::AbstractDataProviderType getRequestTypeImpl();
public:
protected:
*DataProvider::AbstractDataProviderType getResponseTypeImpl();
public:
protected:
hash<DataProviderInfo> getStaticInfoImpl();
public:
};
class OpenAiMessageDataType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiMessageDataType = new OpenAiCompletionMessageDataType();
class OpenAiChatResponseFormatType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiChatResponseFormatType = new OpenAiChatResponseFormatType();
class OpenAiStreamOptionsType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiStreamOptionsType = new OpenAiStreamOptionsType();
class OpenAiFunctionDataType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiFunctionDataType = new OpenAiFunctionDataType();
class OpenAiToolDataType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiToolDataType = new OpenAiToolDataType();
class OpenAiChatCompletionRequestType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiChatCompletionRequestType = new OpenAiChatCompletionRequestType();
class OpenAiToolCallDataType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiToolCallDataType = new OpenAiToolCallDataType();
class OpenAiCompletionMessageDataType : public HashDataType {
public:
const Fields = OpenAiMessageDataType::Fields{"role", "content", "tool_calls"};
constructor() ;
};
const OpenAiCompletionMessageDataType = new OpenAiCompletionMessageDataType();
class OpenAiChoiceDataType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiChoiceDataType = new OpenAiChoiceDataType();
class OpenAiChatCompletionUsageDataType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiChatCompletionUsageDataType = new OpenAiChatCompletionUsageDataType();
class OpenAiChatCompletionResponseType : public HashDataType {
public:
const Fields = ...;
constructor() ;
};
const OpenAiChatCompletionResponseType = new OpenAiChatCompletionResponseType();
};
OpenAiDataProvider::OpenAiChatCompletionDataProvider
The OpenAi data provider class.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:28
OpenAiDataProvider::OpenAiChatCompletionDataProvider::ResponseType
const ResponseType
Response type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:43
OpenAiDataProvider::OpenAiChatCompletionDataProvider::getResponseTypeImpl
*DataProvider::AbstractDataProviderType getResponseTypeImpl()
Returns the description of a response message, if this object represents a response message.
OpenAiDataProvider::OpenAiChatCompletionDataProvider::constructor
constructor(*RestClient rest)
Creates the object from the arguments.
OpenAiDataProvider::OpenAiChatCompletionDataProvider::ProviderSummaryInfo
const ProviderSummaryInfo
Provider summary info.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:36
OpenAiDataProvider::OpenAiChatCompletionDataProvider::getName
string getName()
Returns the data provider name.
OpenAiDataProvider::OpenAiChatCompletionDataProvider::getStaticInfoImpl
hash< DataProviderInfo > getStaticInfoImpl()
Returns data provider static info.
OpenAiDataProvider::OpenAiChatCompletionDataProvider::getRequestTypeImpl
*DataProvider::AbstractDataProviderType getRequestTypeImpl()
Returns the description of a successful request message, if any.
OpenAiDataProvider::OpenAiChatCompletionDataProvider::RequestType
const RequestType
Request type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:40
OpenAiDataProvider::OpenAiChatCompletionDataProvider::ProviderInfo
const ProviderInfo
Provider info.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:32
OpenAiDataProvider::OpenAiChatCompletionDataProvider::doRequestImpl
auto doRequestImpl(auto req, *hash< auto > request_options)
Makes a request and returns the response.
OpenAiDataProvider::OpenAiChatCompletionRequestType
The chat completion request type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:168
OpenAiDataProvider::OpenAiChatCompletionRequestType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:172
OpenAiDataProvider::OpenAiChatCompletionRequestType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiChatCompletionResponseType
The chat completion response type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:247
OpenAiDataProvider::OpenAiChatCompletionResponseType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:251
OpenAiDataProvider::OpenAiChatCompletionResponseType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiChatCompletionUsageDataType
The chat completion usage type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:231
OpenAiDataProvider::OpenAiChatCompletionUsageDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:235
OpenAiDataProvider::OpenAiChatCompletionUsageDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiChatResponseFormatType
The chat response data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:104
OpenAiDataProvider::OpenAiChatResponseFormatType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiChatResponseFormatType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:108
OpenAiDataProvider::OpenAiChoiceDataType
Chat completion response choice type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:215
OpenAiDataProvider::OpenAiChoiceDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiChoiceDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:219
OpenAiDataProvider::OpenAiCompletionMessageDataType
Chat completion response message.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:200
OpenAiDataProvider::OpenAiCompletionMessageDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiCompletionMessageDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:204
OpenAiDataProvider::OpenAiDataProviderCommon
The OpenAi data provider common base class.
Definition OpenAiDataProviderCommon.qc.dox.h:28
OpenAiDataProvider::OpenAiDataProviderCommon::rest
*RestClient::RestClient rest
The REST client object for API calls.
Definition OpenAiDataProviderCommon.qc.dox.h:54
OpenAiDataProvider::OpenAiFunctionDataType
The function data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:136
OpenAiDataProvider::OpenAiFunctionDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:140
OpenAiDataProvider::OpenAiFunctionDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiMessageDataType
Chat completion request message.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:88
OpenAiDataProvider::OpenAiMessageDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:92
OpenAiDataProvider::OpenAiMessageDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiStreamOptionsType
The stream options data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:120
OpenAiDataProvider::OpenAiStreamOptionsType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiStreamOptionsType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:124
OpenAiDataProvider::OpenAiToolCallDataType
Chat completion response choices.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:184
OpenAiDataProvider::OpenAiToolCallDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiToolCallDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:188
OpenAiDataProvider::OpenAiToolDataType
The tool data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:152
OpenAiDataProvider::OpenAiToolDataType::constructor
constructor()
Creates the type.
OpenAiDataProvider::OpenAiToolDataType::Fields
const Fields
fields
Definition OpenAiChatCompletionDataProvider.qc.dox.h:156
OpenAiDataProvider
Qore OpenAiDataProvider module definition.
Definition OpenAiAssistantCreateDataProvider.qc.dox.h:26
OpenAiDataProvider::OpenAiChoiceDataType
const OpenAiChoiceDataType
Constant for the chat completion response choice type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:228
OpenAiDataProvider::OpenAiToolCallDataType
const OpenAiToolCallDataType
Chat completion response choices.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:197
OpenAiDataProvider::OpenAiCompletionMessageDataType
const OpenAiCompletionMessageDataType
Chat completion response message.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:212
OpenAiDataProvider::OpenAiChatCompletionResponseType
const OpenAiChatCompletionResponseType
The chat completion response type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:260
OpenAiDataProvider::OpenAiToolDataType
const OpenAiToolDataType
Constant for the tool data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:165
OpenAiDataProvider::OpenAiChatCompletionRequestType
const OpenAiChatCompletionRequestType
The chat completion request type constant.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:181
OpenAiDataProvider::OpenAiChatCompletionUsageDataType
const OpenAiChatCompletionUsageDataType
Constant for the chat completion usage type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:244
OpenAiDataProvider::OpenAiFunctionDataType
const OpenAiFunctionDataType
Constant for the function data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:149
OpenAiDataProvider::OpenAiStreamOptionsType
const OpenAiStreamOptionsType
Constant for the stream options data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:133
OpenAiDataProvider::OpenAiChatResponseFormatType
const OpenAiChatResponseFormatType
Constant for the chat response data type.
Definition OpenAiChatCompletionDataProvider.qc.dox.h:117